Skip to main content
GET
/
earn
/
actions
/
{id}
TypeScript
const response: Promise<FireblocksResponse<GetActionResponse>> = fireblocks.earnBeta.getEarnAction(earnBetaApiGetEarnActionRequest);
CompletableFuture<ApiResponse<GetActionResponse>> response = fireblocks.earnBeta().getEarnAction(id);
response = fireblocks.earn_beta.get_earn_action(id);
curl --request GET \
--url https://api.fireblocks.io/v1/earn/actions/{id}
const options = {method: 'GET'};

fetch('https://api.fireblocks.io/v1/earn/actions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "660e8400-e29b-41d4-a716-446655440001",
  "vaultAccountId": "0",
  "userId": "550e8400-e29b-41d4-a716-446655440000",
  "status": "IN_PROGRESS",
  "providerId": "MORPHO",
  "actionType": "DEPOSIT",
  "opportunityId": "morpho-usdc-vault-1",
  "amount": "1500.5",
  "createdAt": "2025-01-15T10:00:00Z",
  "updatedAt": "2025-03-20T08:30:00Z",
  "records": [
    {
      "actionType": "APPROVE",
      "status": "COMPLETED",
      "updatedAt": "2025-03-20T08:30:00Z",
      "txId": "tx_abc123def456",
      "txHash": "0x1a2b3c4d5e6f7a8b9c0d1e2f3a4b5c6d7e8f9a0b1c2d3e4f5a6b7c8d9e0f1a2b",
      "errorMessage": "<string>"
    }
  ],
  "positionId": "770e8400-e29b-41d4-a716-446655440002"
}
{
"message": "<string>",
"code": 123
}
{
"message": "<string>",
"code": 123
}
{
"message": "<string>",
"code": 123
}
{
"message": "<string>",
"code": 123
}
{
"message": "<string>",
"code": 123
}

Path Parameters

id
string
required

Action sequence id (UUID).

Minimum string length: 1

Response

OK

Single lending action (intent plus per-step execution rows).

id
string
required

Action sequence id (UUID).

Example:

"660e8400-e29b-41d4-a716-446655440001"

vaultAccountId
string
required

Fireblocks vault account that executed the action.

Example:

"0"

userId
string
required

User who initiated the action.

Example:

"550e8400-e29b-41d4-a716-446655440000"

status
string
required

Intent status (e.g. CREATED, IN_PROGRESS, COMPLETED).

Example:

"IN_PROGRESS"

providerId
enum<string>
required

Lending protocol identifier.

Available options:
MORPHO,
AAVE
Example:

"MORPHO"

actionType
enum<string>
required

Whether this action is a deposit or withdraw flow.

Available options:
DEPOSIT,
WITHDRAW
Example:

"DEPOSIT"

opportunityId
string
required

Target lending opportunity identifier.

Example:

"morpho-usdc-vault-1"

amount
string
required

Human-readable amount for the action.

Example:

"1500.5"

createdAt
string
required

Creation time (ISO-8601).

Example:

"2025-01-15T10:00:00Z"

updatedAt
string
required

Last update time (ISO-8601).

Example:

"2025-03-20T08:30:00Z"

records
object[]
required

Ordered execution steps for this action.

Required array length: 1 - 4 elements
positionId
string

Position id in the system when applicable.

Example:

"770e8400-e29b-41d4-a716-446655440002"